[pacman-dev] Compilation warnings

Jürgen Hötzel juergen at hoetzel.info
Wed Feb 7 18:35:56 EST 2007

On Wed, Feb 07, 2007 at 05:19:39PM -0600, Aaron Griffin wrote:
> On 2/7/07, Dan McGee <dpmcgee at gmail.com> wrote:
> > These have been in the compile output for a while, perhaps we should
> > look into it. I have a guess that it may be related to libdownload not
> > installing a .la file (and it is also missing .so symlinks, compare to
> > libarchive for example). If anyone else knows more about it, feel free
> > to add your input.
> There's no way around those errors.  glibc has a minor limitation when
> doing static linking with a handful of functions.  In essence, if
> you're using those functions, you can't have full static linking - you
> are tied to the glibc version it was build against.

Every libc function utilizing the nsswitch mechanism will depend on dynamic
nss libs, because static nss modules are not enabled for glibc in current

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
URL: <http://archlinux.org/pipermail/pacman-dev/attachments/20070208/98b4f251/attachment.pgp>

More information about the pacman-dev mailing list